package shape;

import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import java.util.ArrayList;
import java.util.List;

public abstract class AbstractShape implements Shape {
    protected List<Point2D> points = new ArrayList<>();

    // Méthode pour ajouter des points à la forme
    public void addPoints(Point2D... newPoints) {
        for (Point2D point : newPoints) {
            points.add(point);
        }
    }

    @Override
    public int pointsCount() {
        return points.size();
    }

    @Override
    public Point2D point(int index) {
        return points.get(index);
    }

    @Override
    public abstract void draw(GraphicsContext context);  // Méthode abstraite pour dessiner la forme
}
