package shape;

import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class BorderDecorator extends Decorator {
    private double radius;

    public BorderDecorator(Shape decoratedShape, double radius) {
        super(decoratedShape);
        this.radius = radius;
    }

    @Override
    protected void drawDecoration(GraphicsContext context) {
        context.setStroke(Color.RED);  // Couleur de la bordure
        for (int i = 0; i < decoratedShape.pointsCount(); i++) {
            Point2D point = decoratedShape.point(i);
            context.strokeOval(point.getX() - radius, point.getY() - radius, radius * 2, radius * 2);
        }
    }
}
