package shape;

import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class CenterDecorator extends Decorator {
    private double radius;

    public CenterDecorator(Shape decoratedShape, double radius) {
        super(decoratedShape);
        this.radius = radius;
    }

    @Override
    protected void drawDecoration(GraphicsContext context) {
        context.setStroke(Color.BLUE);  // Couleur du cercle du centre
        // Calculer le centre de la forme
        Point2D center = calculateCenter();
        context.strokeOval(center.getX() - radius, center.getY() - radius, radius * 2, radius * 2);
    }

    // Méthode pour calculer le centre d'une forme
    private Point2D calculateCenter() {
        double sumX = 0, sumY = 0;
        for (int i = 0; i < decoratedShape.pointsCount(); i++) {
            Point2D point = decoratedShape.point(i);
            sumX += point.getX();
            sumY += point.getY();
        }
        return new Point2D(sumX / decoratedShape.pointsCount(), sumY / decoratedShape.pointsCount());
    }
}

