package shape;

import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;

public abstract class Decorator implements Shape {
    protected Shape decoratedShape;

    public Decorator(Shape decoratedShape) {
        this.decoratedShape = decoratedShape;
    }

    @Override
    public int pointsCount() {
        return decoratedShape.pointsCount();
    }

    @Override
    public Point2D point(int index) {
        return decoratedShape.point(index);
    }

    @Override
    public void draw(GraphicsContext context) {
        decoratedShape.draw(context);
        drawDecoration(context);  // Ajoute la décoration
    }

    protected abstract void drawDecoration(GraphicsContext context);  // Méthode abstraite pour la décoration
}
