package shape;

import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class Polygon extends AbstractShape {
    private Color color;

    public Polygon(Color color, Point2D... points) {
        this.color = color;
        addPoints(points);  // Ajoute les points du polygone
    }

    @Override
    public void draw(GraphicsContext context) {
        context.setFill(color);
        // Trace les côtés du polygone en reliant les points
        context.beginPath();
        Point2D firstPoint = points.get(0);
        context.moveTo(firstPoint.getX(), firstPoint.getY());
        for (int i = 1; i < points.size(); i++) {
            Point2D point = points.get(i);
            context.lineTo(point.getX(), point.getY());
        }
        context.closePath();
        context.fill();
    }
}
